@import url('https://fonts.googleapis.com/css2?family=Doto:wght@100..900&display=swap')
layer(base);

@import "tailwindcss";
@plugin "tailwindcss-motion";

@theme {
  --color-background: var(--color-neutral-950);
  --color-foreground: var(--color-neutral-100);
  --color-shade: var(--color-neutral-900);
  --color-secondary: var(--color-neutral-400);
  --color-accent: var(--color-neutral-600);
}

body {
  @apply bg-background text-foreground px-2 font-['Doto'] text-sm md:text-base;
}

h1 {
  @apply text-2xl md:text-4xl;
}

h2 {
  @apply text-xl md:text-2xl;
}

button {
  @apply cursor-pointer;
}

.markdown, .markdown * {
  h1 {
    @apply text-2xl font-bold mt-8;
  }

  h2 {
    @apply text-xl font-bold mt-8;
  }

  a {
    @apply hover:underline font-medium;
  }

  hr {
    @apply border-accent mt-2 mb-4;
  }

  p {
    @apply py-2;
  }
  
  blockquote {
    @apply bg-accent px-4 py-2 text-sm rounded-xl text-secondary text-center mb-4;
  }

  img {
    @apply rounded-xl w-full;
  }

  p > img {
    @apply grow object-cover w-[32%];
  }

  p:has(img) {
    @apply flex flex-wrap gap-2;
  }
}

.ol-layer {
  @apply invert hue-rotate-180;
}

.scrollbar-0 {
  scrollbar-width: none;
}